]> sipb.mit.edu Git - ikiwiki.git/blob - doc/install.mdwn
fix to be a proper bug report
[ikiwiki.git] / doc / install.mdwn
1 The easiest way to install ikiwiki is using the Debian package, but you can
2 also [[download]] the source and install it by hand. Ikiwiki should work on
3 most unix-like systems.
4
5 Ikiwiki is a perl program, and needs a recent version of perl such as
6 5.8.8. (5.8.0 has been reported not to work).
7
8 Ikiwiki requires the [[cpan Text::Markdown]], [[cpan URI]],
9 [[cpan HTML::Parser]], and [[cpan HTML::Template]] perl modules be
10 installed, and also uses the following perl modules if available: 
11 [[cpan CGI::Session]], [[cpan CGI::FormBuilder]] (version 3.05 or newer),
12 [[cpan Mail::Sendmail]], [[cpan Time::Duration]], [[cpan TimeDate]],
13 [[cpan HTML::Scrubber]], [[cpan RPC::XML]], [[cpan XML::Simple]],
14 [[cpan XML::Feed]], [[cpan File::MimeInfo]], [[cpan Locale::gettext]]
15 (version 1.04 or newer).
16
17 The [[tla]] support also needs the [[cpan MailTools]] perl module.
18
19 Various [[plugins]] use other libraries and utlities; see their individual
20 documentation for details.
21
22 If you want to install from the tarball, you should make sure that the
23 required perl modules are installed, then run:
24
25         perl Makefile.PL # PREFIX=/dir to install elsewhere
26         make
27         make test # optional
28         make install
29
30 See [[download]] for where to get it.